flume-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From 정진영 (Jira) <j...@apache.org>
Subject [jira] [Created] (FLUME-3380) java.lang.NoSuchMethodError: org.apache.hadoop.tracing.TraceUtils.wrapHadoopConf
Date Tue, 17 Nov 2020 06:49:00 GMT
정진영 created FLUME-3380:
--------------------------

             Summary: java.lang.NoSuchMethodError: org.apache.hadoop.tracing.TraceUtils.wrapHadoopConf
                 Key: FLUME-3380
                 URL: https://issues.apache.org/jira/browse/FLUME-3380
             Project: Flume
          Issue Type: IT Help
          Components: Sinks+Sources
         Environment: compile 'org.apache.maven.plugins:maven-shade-plugin:2.4.3'
compile 'org.apache.hadoop:hadoop-common:2.7.1'
compile 'org.apache.flume.flume-ng-sinks:flume-hdfs-sink:1.9.0'
compile 'org.apache.flume.flume-ng-sources:flume-kafka-source:1.9.0'
compile 'org.apache.hbase:hbase-client:2.1.0'
compile 'org.apache.flume.flume-ng-sinks:flume-ng-hbase-sink:1.9.0'
compile 'redis.clients:jedis:2.9.0'
compile 'org.apache.kafka:kafka-clients:0.10.2.1'
compile 'org.apache.hadoop:hadoop-client:2.7.1'
compile 'org.apache.hive:hive-exec:2.1.1'
compile 'org.mariadb.jdbc:mariadb-java-client:1.6.1'
compileOnly 'org.apache.flume:flume-ng-core:1.9.0'

compile group: 'org.apache.kafka', name: 'kafka_2.10', version:'0.10.2.1'
compile group: 'org.apache.kudu', name: 'kudu-client', version:'1.10.0'
compile group: 'org.apache.flume', name: 'flume-ng-configuration', version:'1.9.0'
compile group: 'org.apache.yetus', name: 'audience-annotations', version:'0.4.0'
compile group: 'org.apache.avro', name: 'avro', version:'1.8.2'
compile group: 'org.slf4j', name: 'slf4j-api', version:'1.7.25'
compile group: 'org.postgresql', name: 'postgresql', version:'42.1.4.jre7'
compile group: 'org.apache.maven.plugins', name: 'maven-resources-plugin', version:'2.6'
testCompile group: 'junit', name: 'junit', version: '4.12'
compile group: 'org.apache.parquet', name: 'parquet-hadoop-bundle', version: '1.9.0'
compile group: 'org.apache.hive', name: 'hive-jdbc', version: '2.1.1'

 
            Reporter: 정진영


please help me

I checked org.apache.hadoop.tracing.TraceUtils.wrapHadoopConf already existed in

hadoop-common:2.7.1,version,  But I gotta those Error appeared..

please help me. 

 

 

Failed to commit transaction. Transaction rolled back. topic = null, table = null, offset
= null
java.lang.NoSuchMethodError: org.apache.hadoop.tracing.TraceUtils.wrapHadoopConf(Ljava/lang/String;Lorg/apache/hadoop/conf/Configuration;)Lorg/apache/htrace/HTraceConfiguration;
 at org.apache.hadoop.hdfs.DFSClient.<init>(DFSClient.java:636)
 at org.apache.hadoop.hdfs.DFSClient.<init>(DFSClient.java:619)
 at org.apache.hadoop.hdfs.DistributedFileSystem.initialize(DistributedFileSystem.java:149)
 at org.apache.hadoop.fs.FileSystem.createFileSystem(FileSystem.java:2816)
 at org.apache.hadoop.fs.FileSystem.access$200(FileSystem.java:98)
 at org.apache.hadoop.fs.FileSystem$Cache.getInternal(FileSystem.java:2853)
 at org.apache.hadoop.fs.FileSystem$Cache.get(FileSystem.java:2835)
 at org.apache.hadoop.fs.FileSystem.get(FileSystem.java:387)
 at org.apache.hadoop.fs.Path.getFileSystem(Path.java:296)
 at com.poscoict.posframe.bdp.flume.sink.hdfs.BucketWriter$1.call(BucketWriter.java:239)
 at com.poscoict.posframe.bdp.flume.sink.hdfs.BucketWriter$1.call(BucketWriter.java:231)
 at com.poscoict.posframe.bdp.flume.sink.hdfs.BucketWriter$9$1.run(BucketWriter.java:676)
 at java.security.AccessController.doPrivileged(Native Method)
 at javax.security.auth.Subject.doAs(Subject.java:422)
 at org.apache.hadoop.security.UserGroupInformation.doAs(UserGroupInformation.java:1924)
 at org.apache.flume.auth.UGIExecutor.execute(UGIExecutor.java:46)
 at com.poscoict.posframe.bdp.flume.sink.hdfs.BucketWriter$9.call(BucketWriter.java:673)
 at java.util.concurrent.FutureTask.run(FutureTask.java:266)
 at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
 at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
 at java.lang.Thread.run(Thread.java:748)

 

thoes are this library list that i use. below

Is there any come into conflict each other library verison?

compile 'org.apache.maven.plugins:maven-shade-plugin:2.4.3'
compile 'org.apache.hadoop:hadoop-common:2.7.1'
compile 'org.apache.flume.flume-ng-sinks:flume-hdfs-sink:1.9.0'
compile 'org.apache.flume.flume-ng-sources:flume-kafka-source:1.9.0'
compile 'org.apache.hbase:hbase-client:2.1.0'
compile 'org.apache.flume.flume-ng-sinks:flume-ng-hbase-sink:1.9.0'
compile 'redis.clients:jedis:2.9.0'
compile 'org.apache.kafka:kafka-clients:0.10.2.1'
compile 'org.apache.hadoop:hadoop-client:2.7.1'
compile 'org.apache.hive:hive-exec:2.1.1'
compile 'org.mariadb.jdbc:mariadb-java-client:1.6.1'
compileOnly 'org.apache.flume:flume-ng-core:1.9.0'

compile group: 'org.apache.kafka', name: 'kafka_2.10', version:'0.10.2.1'
compile group: 'org.apache.kudu', name: 'kudu-client', version:'1.10.0'
compile group: 'org.apache.flume', name: 'flume-ng-configuration', version:'1.9.0'
compile group: 'org.apache.yetus', name: 'audience-annotations', version:'0.4.0'
compile group: 'org.apache.avro', name: 'avro', version:'1.8.2'
compile group: 'org.slf4j', name: 'slf4j-api', version:'1.7.25'
compile group: 'org.postgresql', name: 'postgresql', version:'42.1.4.jre7'
compile group: 'org.apache.maven.plugins', name: 'maven-resources-plugin', version:'2.6'
testCompile group: 'junit', name: 'junit', version: '4.12'
compile group: 'org.apache.parquet', name: 'parquet-hadoop-bundle', version: '1.9.0'
compile group: 'org.apache.hive', name: 'hive-jdbc', version: '2.1.1'

 



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@flume.apache.org
For additional commands, e-mail: issues-help@flume.apache.org


Mime
View raw message